Subject: RE: Soliciting comments on moving drafts to WG status

From: [email-masked]
Date: Wed, 11 Aug 2004 20:54:08 +0200

hi richard, all, - see in-line

>> 1. Loose Path Re-optimization
>> draft-vasseur-ccamp-loose-path-reopt-02.txt
>> This draft is stable and has an implementation.
>> The work is predominantly pertinent to inter-domain
>> signaling, but could also be used within a domain. The
>> meeting in San Diego reported relatively few as having read
>> the draft, but no objection to it becoming a WG draft.
>
> Yes. Though I would like the authors to mention GMPLS and drop the focus
on
> MPLS since they say in the abstract that this applies to "packet and
> non-packet TE LSPs".

agree, i don't know if this has already being pointed out but the statement
could even become somehow confusing to the audience, so it requires to
explicitly state [RFC 3209] and [RFC 3473] for packet LSPs (as GMPLS
support by definition PSC LSPs)

now concerning non-PSC LSPs, there is also a point to be addressed that in
order to achieve non-disruptive re-optimization using MBB one would require
double counting as a parallel non-PSC LSP would be required (traffic is
then send over both LSP before tearing the old one)

>> 2. A Transport Network View of LMP
>> draft-aboulmagd-ccamp-transport-lmp-02.txt
>> There has been a bit of off-list discussion about this draft
>> in which it has become clear that there are definite
>> differences between the ASON and CCAMP uses and views of LMP.
>> This is precisely what the draft is intended to expose. That
>> is, the draft is not intended to unify the views of LMP, but
>> rather to represent the two views within a single document so
>> as to highlight the differences. In San Diego, no-one raised
>> objections to this being a WG draft.
>
> Not sure. Adrian mentioned that this would possibly identify items of
work
> for ITU and IETF. What is the thinking of the authors about the draft
after
> the protocol modifications are finished?
>
> If the expected outcome is an alignment of the IETF and ITU views on LMP,
> then the draft would have served its purpose and would not need
publication > as Informational.

your question is sensible, the reason is that in order to exchange views we
need first to agree 1) that we want to work on it then 2) that we are in
agreement about these views (you will also find part of the response to
your in section 6.4) and finally 3) that we are in agreement on how to
progress the work

[snip]

---

From: "Richard Rabbat" <[email-masked]>
Date: Wed, 11 Aug 2004 12:28:26 -0700

Hi Dimitri, inline...

> >> The work is predominantly pertinent to inter-domain signaling, but 
> >> could also be used within a domain. The meeting in San 
> Diego reported 
> >> relatively few as having read the draft, but no objection to it 
> >> becoming a WG draft.
> >
> agree, i don't know if this has already being pointed out but 
> the statement could even become somehow confusing to the 
> audience, so it requires to explicitly state [RFC 3209] and 
> [RFC 3473] for packet LSPs (as GMPLS support by definition PSC LSPs)
> 
> now concerning non-PSC LSPs, there is also a point to be 
> addressed that in order to achieve non-disruptive 
> re-optimization using MBB one would require double counting 
> as a parallel non-PSC LSP would be required (traffic is then 
> send over both LSP before tearing the old one)
> 
Agree on these points. Would the authors address these issues in the next
revision? And while you're at it, can you fix the double quotes throughout?

> > work for ITU and IETF. What is the thinking of the authors about 
> > the draft after the protocol modifications are finished?
> >
> > If the expected outcome is an alignment of the IETF and ITU 
> views on LMP, then the draft would have served its purpose and would not
need
> publication as Informational.
> 
> your question is sensible, the reason is that in order to 
> exchange views we need first to agree 1) that we want to work 
> on it then 2) that we are in agreement about these views (you 
> will also find part of the response to your in section 6.4) 
> and finally 3) that we are in agreement on how to progress the work
> 
I support making it a WG draft, at least to be able to initiate liaisons
with SG15. 
I'm wondering though what the authors would like the final outcome to be. If
all issues are resolved, then in my opinion this draft should be made to
expire eventually. Otherwise, documenting the areas of divergence as
Informational would be more than appropriate.

---

From: Jean Philippe Vasseur <[email-masked]>
Date: Wed, 11 Aug 2004 20:04:04 -0700

Hi,

> > > MPLS since they say in the abstract that this applies to

Sure, we will.

> > [RFC 3473] for packet LSPs (as GMPLS support by definition PSC LSPs)

agree

>revision? And while you're at it, can you fix the double quotes throughout?

ok, will do, thanks for the comments.

Cheers.

JP.

---

From: dimitri papadimitriou <[email-masked]>
Date: Thu, 12 Aug 2004 22:02:22 +0200

hi richard, see in-line

>>>> draft-vasseur-ccamp-loose-path-reopt-02.txt This draft is 
>>>> stable and has an implementation. The work is predominantly 
>>>> pertinent to inter-domain signaling, but could also be used 
>>>> within a domain. The meeting in San Diego reported relatively 
>>>> few as having read the draft, but no objection to it becoming a
>>>> WG draft.
>>> 
>>> Yes. Though I would like the authors to mention GMPLS and drop 
>>> the focus on MPLS since they say in the abstract that this 
>>> applies to "packet and non-packet TE LSPs".
>> 
>> agree, i don't know if this has already being pointed out but the 
>> statement could even become somehow confusing to the audience, so 
>> it requires to explicitly state [RFC 3209] and [RFC 3473] for 
>> packet LSPs (as GMPLS support by definition PSC LSPs)
>> 
>> now concerning non-PSC LSPs, there is also a point to be addressed
>> that in order to achieve non-disruptive re-optimization using MBB
>> one would require double counting as a parallel non-PSC LSP would
>> be required (traffic is then send over both LSP before tearing the
>> old one)
> 
> Agree on these points. Would the authors address these issues in the
> next revision?

imho, these changes should be committed in the next revision and this 
independently of its promotion as WG I-d

> And while you're at it, can you fix the double quotes throughout?

this has been recorded in the meeting minutes and hope it will be 
addressed in the next revision

>>> Not sure. Adrian mentioned that this would possibly identify 
>>> items of work for ITU and IETF. What is the thinking of the 
>>> authors about the draft after the protocol modifications are 
>>> finished?
>>> 
>>> If the expected outcome is an alignment of the IETF and ITU views
>>> on LMP, then the draft would have served its purpose and would
>>> not need publication as Informational.
>> 
>> your question is sensible, the reason is that in order to exchange
>> views we need first to agree 1) that we want to work on it then 2)
>> that we are in agreement about these views (you will also find
>> part of the response to your in section 6.4) and finally 3) that we
>> are in agreement on how to progress the work
> 
> I support making it a WG draft, at least to be able to initiate 
> liaisons with SG15. I'm wondering though what the authors would like
> the final outcome to be.

as part of the outcome, if there are commonalities in terms of discovery 
functionality, then an interoperable/compatible LMP mechanism may be 
considered within the scope of the process

> If all issues are resolved, then in my opinion this draft should be
> made to expire eventually. Otherwise, documenting the areas of
> divergence as Informational would be more than appropriate.

nice way to conclude the discussion point because if there are no 
commonalities in terms of functionality and scope, we would have (with 
this i-d) closely documented why we didn't do so (but yes, i agree with 
you in both cases this document is meant promoted in the long term for 
the record)

---

From: "Richard Rabbat" <[email-masked]>
Date: Thu, 12 Aug 2004 13:24:47 -0700

Dimitri,
Some snipping, the rest inline.

> From: dimitri papadimitriou [mailto:[email-masked]] 
...
> >>>> 1. Loose Path Re-optimization
...
> independently of its promotion as WG I-d
Agree. Yes to the document.

> addressed in the next revision
Actually, the recorded minutes are about another Vasseur draft; I want to
make sure the authors are aware about problems in this as well.

> you in both cases this document is meant promoted in the long 
Great. From my p.o.v., I'd say let's move forward on this as well with the
clarifications you gave.